local timer2 =  reaper.NamedCommandLookup("_SWS_AWTBASETIME")
local timer1 = reaper.GetToggleCommandStateEx(0, timer2)
local rate2 =  reaper.NamedCommandLookup("_SWS_AWTBASEBEATALL")
local rate1 = reaper.GetToggleCommandStateEx(0, rate2)
local beatonly2 =  reaper.NamedCommandLookup("_SWS_AWTBASEBEATPOS")
local beatonly1 = reaper.GetToggleCommandStateEx(0, beatonly2)

if  timer1 == 1 then
timebase = "Project timebase is time "
elseif  rate1 == 1 then
timebase = "Project timebase is Beats (position, length, rate) "
elseif  beatonly1 == 1 then
timebase = "Project timebase is Beats (position only) "
end
reaper.osara_outputMessage(timebase)